Summary: Applets for the *Step collection of window managers (AfterStep, WindowMaker, etc.)
Name: AfterStep-APPS
Version: 1.5
Release: 0.3
Copyright: GPL
Group: X11/Window Managers
BuildRoot: /var/tmp/afterstep-apps-root
Source0: ftp://ftp.the-site.dyn.ml.org/pub/Linux/AfterStep/AfterStep-APPS/AfterStep-APPS.tar
Patch0: AfterStep-APPS-1.5beta1-glibc.patch
Patch1: AfterStep-APPS-1.5-redhat.patch
Patch2: AfterStep-APPS-1.5-buildr.patch
Prereq: /sbin/ldconfig

%description
This package includes some applets that can be used in the Wharf module
used by window Managers like AfterStep and WindowMaker.

They all look very cool and will make your desktop look more appealing once
you add them to your Wharf module.

%prep
%setup -q -c
rm -f *.asc
for archive in *.tar.gz ; do
	tar xzf $archive
	rm -f $archive
done
%patch0 -p1 -b .glibc
%patch1 -p1 -b .redhat
%patch2 -p1 -b .buildr

%build
for package in `ls` ; do
    cd $package 
    case $package in
	asdm* )
	    xmkmf
	    make Makefiles
	    make MANDIR=/usr/X11R6/man/man1 \
		BINDIR=/usr/X11R6/bin \
		SHLIBDIR=/usr/X11R6/lib \
		XDMDIR=/usr/X11R6/lib/asdm
	    ;;

	astuner*)
	    # we don't compile this
	    ;;

	xiterm2*)
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
		--enable-xpm-background --enable-utmp --enable-wtmp \
		--enable-menubar --enable-next-scroll
	    xmkmf
	    make Makefiles
	    make
	    ;;

	*)
	    #just about every other thing supports autoconf
	    CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6
	    make
	    ;;
    esac
    cd ..
done

%install

rm -rf $RPM_BUILD_ROOT
for package in `ls` ; do
    cd $package 
    case $package in
	asdm* | xiterm* )
	    make install install.man \
		MANDIR=/usr/X11R6/man/man1 \
		BINDIR=/usr/X11R6/bin \
		SHLIBDIR=/usr/X11R6/lib \
		XDMDIR=/usr/X11R6/lib/asdm \
		DESTDIR=$RPM_BUILD_ROOT	
	    ;;

	astuner*)
	    # we don't install this
	    ;;

	*)
	    make install install.man \
		DESTDIR=$RPM_BUILD_ROOT
	    ;;
    esac
    cd ..
done
rm -f $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}/{sessreg,xpmroot}*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*
/usr/X11R6/lib/asdm

%changelog
* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated source archive
- remove  conflicting files with XFree86

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- split from afterstep and packaged for RH 5.2
